using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace flash
{
	/// <summary>
	/// Play 的摘要说明。
	/// </summary>
	public partial class Play : PageBase
	{
		public string title;
		public string content;
		public string swf;

		protected void Page_Load(object sender, System.EventArgs e)
		{
			int id = int.Parse(Request.QueryString["id"]);

			string sql = string.Format("select top 1 * from flash where id={0}", id);
			DataTable dt = DAL.DataProvider.ExecuteSql(sql);
			if (dt != null && dt.Rows.Count>0)
			{
				this.CacheFile = string.Format("/CacheFile/Play/play_{0}.html", id);
				swf = dt.Rows[0]["swf"].ToString();
				this.title = dt.Rows[0]["title"].ToString();
				this.content = dt.Rows[0]["content"].ToString();
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
		}
		#endregion
	}
}
